-- Dynamischer Kraftstoffverbrauch beim Ziehen von Anhaengern;
-- by acert
fuelUsageTractor = {};

function fuelUsageTractor.prerequisitesPresent(specializations)
    return true;
end;
function fuelUsageTractor:load(xmlFile)
end;
function fuelUsageTractor:delete()
end;
function fuelUsageTractor:mouseEvent(posX, posY, isDown, isUp, button)
end;
function fuelUsageTractor:keyEvent(unicode, sym, modifier, isDown)
end;
function fuelUsageTractor:onAttach(attacherVehicle)
	self.attacherVehicleCopy = attacherVehicle;
end;
function fuelUsageTractor:onDetach()
	self.attacherVehicleCopy = nil;
end;	
	
function fuelUsageTractor:update(dt)
	if self:getIsActive() then			
		if self.fillLevel > 2000 then
				if self.attacherVehicleCopy.isMotorStarted then
					if self.attacherVehicle.movingDirection ~= 0 then
						local kmhMath = math.max(1, (self.attacherVehicleCopy.lastSpeed*self.attacherVehicleCopy.speedDisplayScale*3600)/4);
						local fuelUsed = 0.0002*kmhMath;
						--renderText(0.1, 0.3, 0.021, tostring("self.fuelUsage: " .. fuelUsed));		
						self.attacherVehicleCopy:setFuelFillLevel(self.attacherVehicleCopy.fuelFillLevel-fuelUsed);
						g_currentMission.missionStats.fuelUsageTotal = g_currentMission.missionStats.fuelUsageTotal + fuelUsed;
						g_currentMission.missionStats.fuelUsageSession = g_currentMission.missionStats.fuelUsageSession + fuelUsed;
					end;
				end;
		end;
		if self.fillLevel > 4000 then
				if self.attacherVehicleCopy.isMotorStarted then
					if self.attacherVehicle.movingDirection ~= 0 then
						local kmhMath = math.max(1, (self.attacherVehicleCopy.lastSpeed*self.attacherVehicleCopy.speedDisplayScale*3600)/4);
						local fuelUsed = 0.0003*kmhMath;
						--renderText(0.1, 0.3, 0.021, tostring("self.fuelUsage: " .. fuelUsed));		
						self.attacherVehicleCopy:setFuelFillLevel(self.attacherVehicleCopy.fuelFillLevel-fuelUsed);
						g_currentMission.missionStats.fuelUsageTotal = g_currentMission.missionStats.fuelUsageTotal + fuelUsed;
						g_currentMission.missionStats.fuelUsageSession = g_currentMission.missionStats.fuelUsageSession + fuelUsed;
					end;
				end;
		end;
		if self.fillLevel > 8000 then
				if self.attacherVehicleCopy.isMotorStarted then
					if self.attacherVehicle.movingDirection ~= 0 then
						local kmhMath = math.max(1, (self.attacherVehicleCopy.lastSpeed*self.attacherVehicleCopy.speedDisplayScale*3600)/3);
						local fuelUsed = 0.0004*kmhMath;
						--renderText(0.1, 0.3, 0.021, tostring("self.fuelUsage: " .. fuelUsed));		
						self.attacherVehicleCopy:setFuelFillLevel(self.attacherVehicleCopy.fuelFillLevel-fuelUsed);
						g_currentMission.missionStats.fuelUsageTotal = g_currentMission.missionStats.fuelUsageTotal + fuelUsed;
						g_currentMission.missionStats.fuelUsageSession = g_currentMission.missionStats.fuelUsageSession + fuelUsed;
					end;
				end;
		end;
		if self.fillLevel > 12000 then
				if self.attacherVehicleCopy.isMotorStarted then
					if self.attacherVehicle.movingDirection ~= 0 then
						local kmhMath = math.max(1, (self.attacherVehicleCopy.lastSpeed*self.attacherVehicleCopy.speedDisplayScale*3600)/2);
						local fuelUsed = 0.0005*kmhMath;
						--renderText(0.1, 0.3, 0.021, tostring("self.fuelUsage: " .. fuelUsed));		
						self.attacherVehicleCopy:setFuelFillLevel(self.attacherVehicleCopy.fuelFillLevel-fuelUsed);
						g_currentMission.missionStats.fuelUsageTotal = g_currentMission.missionStats.fuelUsageTotal + fuelUsed;
						g_currentMission.missionStats.fuelUsageSession = g_currentMission.missionStats.fuelUsageSession + fuelUsed;
					end;
				end;
		end;
	end;	
end;


function fuelUsageTractor:draw()	
end;


